---
title: TrackDefault.label
slug: Web/API/TrackDefault/label
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - TrackDefault
  - Video
  - label
---
<div>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</div>

<p>The <code><strong>label</strong></code> read-only property of the {{domxref("TrackDefault")}} interface returns the default label for an associated {{domxref("SourceBuffer")}} to use when an <a href="https://w3c.github.io/media-source/#init-segment">initialization segment</a> does not contain label information for a new track.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var mylabel = TrackDefault.label;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.TrackDefault.label")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
